Qt 5.11 | Qt 3D | C++ Classes | QAbstractChannelMapping

Qt 5.11.3 Reference Documentation

# QAbstractChannelMapping Class

(Qt3DAnimation::QAbstractChannelMapping)

Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DAnimation::QCallbackMapping and Qt3DAnimation::QChannelMapping

- List of all members, including inherited members

## Public Functions

virtual | ~QAbstractChannelMapping()

- 13 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QAbstractChannelMapping(Qt3DAnimation::QAbstractChannelMappingPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 properties inherited from Qt3DCore::QNode
- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode

## Member Function Documentation

### `[protected]` QAbstractChannelMapping::QAbstractChannelMapping(Qt3DAnimation::QAbstractChannelMappingPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAbstractChannelMapping.

### `[virtual]` QAbstractChannelMapping::~QAbstractChannelMapping()

Destroys the instance of QAbstractChannelMapping. The destructor is virtual.